package ctbrec.ui.tabs.recorded;

import javafx.scene.image.Image;
import javafx.scene.image.ImageView;

public class ImageTableCell extends ClickableTableCell<Image> {

    protected ImageView imageView;

    public ImageTableCell() {
        imageView = new ImageView();
        imageView.setSmooth(true);
        imageView.setPreserveRatio(true);
        imageView.prefHeight(64);
        imageView.setFitHeight(64);
        setGraphic(imageView);
    }

    @Override
    public void requestLayout() {
        double columnWidth = getTableColumn().getWidth();
        imageView.prefHeight(columnWidth);
        imageView.setFitHeight(columnWidth);
        super.requestLayout();
    }

    @Override
    protected void updateItem(Image image, boolean empty) {
        imageView.setImage(empty ? null : image);
    }
}
